﻿using UnityEngine;
using System.Collections;

public class BloodProgress : MonoBehaviour {
	public float BloodPercentage = 0f;
	private float _oldBloodPercentage;

	public float Smoothing = 2.0f;

	private float _maskRotation = 0f;

	private GameObject _topMask;
	private GameObject _bottomMask;
	private GameObject _topBloodMask;
	

	// Use this for initialization
	void Start () {
		_topMask = GetGameObjectByName ("TopMask");
		_bottomMask = GetGameObjectByName ("BottomMask");
		_topBloodMask = GetGameObjectByName ("BloodTopMask");
	}
	
	// Update is called once per frame
	void Update () 
	{
				if (BloodPercentage <= 50.0f) {
						_topBloodMask.GetComponent<SpriteRenderer> ().enabled = false;
						_bottomMask.GetComponent<SpriteRenderer> ().enabled = true;
						_topMask.GetComponent<SpriteRenderer> ().enabled = true;

						_maskRotation = (180.0f / 50.0f) * BloodPercentage; 

			_bottomMask.transform.rotation = Quaternion.Euler(0f,0f,0f);
			_topMask.transform.rotation = Quaternion.Slerp(_topMask.transform.rotation, Quaternion.Euler(0,0,_maskRotation),Time.deltaTime * Smoothing);
				} else {
						_topBloodMask.GetComponent<SpriteRenderer> ().enabled = true;
						_bottomMask.GetComponent<SpriteRenderer> ().enabled = true;
						_topMask.GetComponent<SpriteRenderer> ().enabled = false;

						_maskRotation = (180.0f / 50.0f) * (BloodPercentage - 50.0f); 


			_bottomMask.transform.rotation = Quaternion.Slerp(_bottomMask.transform.rotation, Quaternion.Euler(0,0,_maskRotation),Time.deltaTime * Smoothing);
				}

	}

	GameObject GetGameObjectByName(string name)
	{
		Transform[] transforms = GetComponentsInChildren<Transform>();
		foreach (Transform t in transforms)
		{
			if (t.name == name)
			{
				return t.gameObject;
			}
		}

		return null;
	}
	
}
