﻿using UnityEngine;
using System.Collections;

public class BloodSplat : MonoBehaviour {

	public GameObject LinkedMozzie;

	private Mozzie _linkedMozzie;
	private SpriteRenderer _mySpriteRenderer;

	// Use this for initialization
	void Start () {
		if (LinkedMozzie == null)
						return;

		_linkedMozzie = LinkedMozzie.GetComponentInChildren<Mozzie> ();
		_mySpriteRenderer = GetComponentInChildren<SpriteRenderer>();
		_mySpriteRenderer.enabled = false;
	}
	
	// Update is called once per frame
	void Update () {
		if (_linkedMozzie == null)
						return;

		if (_linkedMozzie.GetDazeRemaining > 0f) 
		{
			_mySpriteRenderer.enabled = true;

			Color colour = _mySpriteRenderer.color;
			colour.a = (_linkedMozzie.GetDazeRemaining / _linkedMozzie.DazeTime);
			_mySpriteRenderer.color = colour;
		} 
		else 
		{
			_mySpriteRenderer.enabled = false;
		}
	}
}
