﻿using UnityEngine;
using System.Collections;

public class Button : MonoBehaviour {
	public GameObject LinkedMozzie;
	public KeyCode LaunchKey;

	private Mozzie _linkedMozzie;
	private BloodProgress _bloodProgress;

	public Mozzie GetLinkedMozzie { get { return _linkedMozzie; } }

	// Use this for initialization
	void Start () {
		if (LinkedMozzie == null)
						return;

		_linkedMozzie = LinkedMozzie.GetComponentInChildren<Mozzie> ();
		_bloodProgress = GetComponentInChildren<BloodProgress> ();
	}
	
	// Update is called once per frame
	void Update () {
		if (_linkedMozzie != null) 
		{
			_bloodProgress.BloodPercentage = _linkedMozzie.GetRoundPoints;

			if (CheckButton() == true)
			{
				_linkedMozzie.Launch();
			}
		}
	}

	private bool CheckButton()
	{
		if (Input.GetKeyDown (LaunchKey))
						return true;
		return false;
	}

	void OnMouseDown()
	{
		print(gameObject.name);
		if (_linkedMozzie != null) 
		{

			_bloodProgress.BloodPercentage = _linkedMozzie.GetRoundPoints;
			
			_linkedMozzie.Launch();

		}
	}



	void CheckAndroidInput()
	{
		if (Application.platform == RuntimePlatform.Android)
		{
			if (Input.touchCount == 1)
			{
				if (Input.GetTouch(0).phase == TouchPhase.Began)
				{
					Ray ray = Camera.main.ScreenPointToRay (Input.GetTouch(0).position);
					RaycastHit hit = new RaycastHit();
					if (collider && collider.Raycast(ray, out hit, 100f))
					{
						OnMouseDown();
					}
				}
			}
		}
	}
}
