﻿using UnityEngine;
using System.Collections;

public class HandController : MonoBehaviour {

	public float RotationSpeed = 10f;
	public float MaxDownRotationAngle = 50f;
	public float MaxUpRotationAngle = 30f;
	public float Speed = 10f;
	public Vector3 EndPosition;

	private bool _downSwipe = true;
	private bool _slapping = false;

	public Vector3 StartPosition;

	private float _elapsedTime = 0f;

	// Use this for initialization
	void Start () {

	}
	
	// Update is called once per frame
	void Update () {
		if (_slapping == false)
						return;

		_elapsedTime += Time.deltaTime;

		if (_downSwipe) 
		{
			transform.position = Vector3.MoveTowards(transform.position, EndPosition, Time.deltaTime * Speed);

			transform.rotation = Quaternion.Slerp (transform.rotation, Quaternion.Euler (0, 0, MaxDownRotationAngle), Time.deltaTime * RotationSpeed);

			if (transform.rotation.eulerAngles.z >= (MaxDownRotationAngle-2)) 
			{
				_downSwipe = false;
			}
		} 
		else 
		{
			transform.position = Vector3.MoveTowards(transform.position, StartPosition, Time.deltaTime * Speed);
			transform.rotation = Quaternion.Slerp (transform.rotation, Quaternion.Euler (0, 0, MaxUpRotationAngle), Time.deltaTime * RotationSpeed);
		

		}

	}

	public void SlapIt()
	{

		_downSwipe = true;
		transform.rotation = Quaternion.Euler (0, 0, 0);
		_slapping = true;
	}
}
