﻿using UnityEngine;
using System.Collections;

public class Slider : MonoBehaviour {
	public float SlideOutTime = 2f;
	public float SlideBackTime = 0.5f;
	public float Speed = 1f;

	public Vector3 StartPosition;
	public Vector3 EndPosition;

	public float DwellTime = 6f;

	private float _timeAccum;

	private bool _go = false;

	public bool InPosition()
	{
		return ((transform.position - EndPosition).sqrMagnitude <= 0.1);
	}

	// Use this for initialization
	void Start () {
		transform.Translate (EndPosition);
		Go ();
	}
	
	// Update is called once per frame
	void Update () 
	{
		if (_go) 
		{
			_timeAccum += Time.deltaTime;

			if (_timeAccum <= SlideOutTime)
			{
				transform.position = Vector3.MoveTowards(transform.position, EndPosition, Time.deltaTime * Speed);
			}
			else if (_timeAccum <= (DwellTime + SlideOutTime + SlideBackTime))
			{
				transform.position = Vector3.MoveTowards(transform.position, StartPosition, Time.deltaTime * Speed);
			}
			else if (_timeAccum > (DwellTime + SlideOutTime + SlideBackTime))
			{
				_go = false;
				GetComponentInChildren<SpriteRenderer> ().enabled = false;
			}
		}
	}

	public void Go()
	{
		GetComponentInChildren<SpriteRenderer> ().enabled = true;
		_timeAccum = 0f;
		_go = true;
	}
}
