﻿using UnityEngine;
using System.Collections;

public class WinCondition : MonoBehaviour {

	private Mozzie[] aMozzies;
	public float GameTime = 121, EndTime = 5;
	private bool hasCheckedWinner = false;
	private float EndTimeCountDown = 0;
	private string winstring = "";
	private Slider slide;
	public string intro;


	//public Texture texture;
	public GUIStyle DisplayTime;
	// Use this for initialization
	void Start () {
		aMozzies = FindObjectsOfType(typeof(Mozzie)) as Mozzie[];
		slide = (Slider)FindObjectOfType(typeof(Slider));
	}
	
	// Update is called once per frame
	void Update () {
		if(Time.timeSinceLevelLoad >= GameTime)
		{
			CheckWinner();
		}
		if(hasCheckedWinner)
		{
			EndTimeCountDown -= Time.deltaTime;
			if(EndTimeCountDown <= 0)
			{
				Application.LoadLevel(0);
			}
		}
	}

	void CheckWinner()
	{
		if(hasCheckedWinner) return;
		hasCheckedWinner = true;
		EndTimeCountDown = EndTime;
		float maxScore = 0f;
		int index = 0;
		for (int i = 0; i < aMozzies.Length; i++)
		{
			if (aMozzies[i].GetTotalPoints  > maxScore)
			{
				maxScore = aMozzies[i].GetTotalPoints;
				index = i;
			}
		}
		winstring = aMozzies[index].name + " wins with " + aMozzies[index].GetTotalPoints + " blood collected.";
		slide.Go();
	}

	void OnGUI()
	{

		if(hasCheckedWinner && slide.InPosition())
		{
			GUI.Box (new Rect(0, 0, Screen.width, Screen.height),winstring,DisplayTime);
			return;
		}

		if(slide.InPosition())
			GUI.Box (new Rect(0, 0, Screen.width, Screen.height),intro,DisplayTime);


	}
}
